%define debug_package %{nil}
#% define python3_sitelib /usr/lib/python3.7/site-packages
%global __python %{__python3}

%global ext_version 0.10.0
%global ext_gnome_version 3.34
%global ext_uuid contact@projecthamster.org
%bcond_without extension

Name:           hamster
Version:        3.0
Release:        3
Summary:        A time tracker for GNOME
License:        GPL-3.0-or-later AND CC-BY-SA-3.0
Group:          Productivity/Other
Url:            https://github.com/projecthamster/hamster
Source:			%{name}-%{version}.tar.gz

BuildRequires:  gettext intltool gnome-python2-gconf dbus-python
BuildRequires:  hostname python3 python3-rpm-macros
BuildRequires:  fdupes
BuildRequires:  glib2-devel

Requires:       intltool
Requires:       python3-cairo
Requires:       python3-dbus
Requires:       python3-gobject
Requires:       python3-pyxdg

# Recommends:     % {name}-lang
# hamster-time-tracker used to be developed as hamster-applet. Last ever release was 2.91.2
Obsoletes:      docky-hamster-applet < 2.91.2
Obsoletes:      hamster-applet < 2.91.2
Provides:       docky-hamster-applet = 2.91.2
Provides:       hamster-applet = 2.91.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Project Hamster is a time tracker for keeping track on how much time
is spent during the day on activities that are set up.

%lang_package

%prep
%setup -q -n %{name}-%{version}

%build
./waf --prefix=%{_prefix} configure build
# % if % {with extension}
# cd hamster-shell-extension-%{ext_version}
# make dist
# % endif

%install
./waf install --destdir=%{buildroot} --libdir=%{_libdir}
find %{buildroot} -name gschemas.compiled -exec rm {} \;

# %if %{with extension}
# mkdir -p %{buildroot}%{_datadir}/gnome-shell/extensions/%{ext_uuid}
# tar xz -f hamster-shell-extension-%{ext_version}/dist/%{ext_uuid}.tgz \
#     -C %{buildroot}%{_datadir}/gnome-shell/extensions/%{ext_uuid}
# %endif

# % fdupes % {buildroot}

# install % {SOURCE0} % {buildroot}/usr/share/applications/

%pre
# -f % {name}.schemas_pre

%preun
# -f % {name}.schemas_preun

%posttrans
# -f % {name}.schemas_posttrans


%files
%defattr(-, root, root)
%license COPYING
%doc AUTHORS NEWS README.md MAINTAINERS

%{_bindir}/hamster

%{_datadir}/dbus-1/services/org.gnome.Hamster.*
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/locale/*/LC_MESSAGES/hamster.mo
%{_datadir}/bash-completion/completions/hamster.bash

%{_datadir}/%{name}/

%{python3_sitelib}/%{name}/
%{_libexecdir}/%{name}/

%{_datadir}/glib-2.0/schemas/org.gnome.hamster.gschema.xml
%{_datadir}/metainfo/org.gnome.Hamster.GUI.metainfo.xml
%{_datadir}/applications/org.gnome.Hamster.GUI.desktop

%changelog
* Tue Feb 25 2020 ifas <itsupport+copr@irc.vib-ugent.be> - %{version}-%{release}
- Release %{version}-%{release}

* Mon Feb 10 2020 rabin <rabin@rabin.io> - 3.0-beta
- https://build.opensuse.org/package/show/home%3Arabin-io/hamster
